namespace :object_type do
  desc 'Destroy the types that are not defaults'
  task :restart => :environment do
    ObjectType.find_each do |type|
      unless default_types.include? type.name
        SafeObjectTypeDestroyService.execute type
      end
    end
  end

  def default_types
    [
        'Imagem', 'Mapa', 'Software Educacional', 'Experimento prático', 'Animação/simulação', 'Texto',
        'Áudio', 'PDF', 'Website externo', 'Vídeo', 'Outros'
    ]
  end

end