require 'test_helper'

class V1::CollectionsControllerTest < ActionController::TestCase
  tests V1::CollectionsController
  include Devise::TestHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should show collection' do
    ufpr = collections(:ufpr)
    get :show, id: ufpr.id
    assert_response :ok
  end

  test 'should user post collection to create and return :created code' do
    auth_request users(:jack)
    post :create, collection: {name: 'my collection',
                               description: 'testing collection',
                               owner: {
                                   class: 'User', id: users(:jack).id
                               }}
    assert_response :created
  end

  test 'should institution post collection to create and return :created code' do
    auth_request users(:jack)
    post :create, collection: {name: 'my collection',
                               description: 'testing collection',
                               owner: {
                                   class: 'Institution', id: institutions(:ufpr).id
                               }}
    assert_response :created
  end

  test 'should user post collection to create and return :unauthorized code' do
    auth_request users(:jack)
    post :create, collection: {name: 'my collection',
                               description: 'testing collection',
                               owner: {
                                   class: 'User', id: users(:john).id
                               }}
    assert_response :unauthorized
  end

end
