class Follow < ActiveRecord::Base
  belongs_to :followable, polymorphic: true, counter_cache: true
  belongs_to :user

  validates_presence_of :user, :followable
  validates :user_id, uniqueness: { scope: [:followable_id, :followable_type] }
end
