class CreateLearningObjectAttachments < ActiveRecord::Migration
  def change
    create_table :learning_object_attachments do |t|
      t.string :name
      t.string :link
      t.string :retrieve_link
      t.text :description
      t.string :format
      t.string :mime_type
      t.integer :size
      t.string :bundle_name
      t.belongs_to :learning_object, index: true

      t.timestamps null: false
    end
    add_foreign_key :learning_object_attachments, :learning_objects, on_delete: :cascade
  end
end
