require 'test_helper'

class ScoreUserCategoryTest < ActiveSupport::TestCase
  should belong_to :score
  should belong_to :user_category

  should validate_presence_of(:score)
  should validate_presence_of(:user_category)
  should validate_presence_of(:value)

  # TODO: shoulda try to insert user_category with id 0, but that's non existent and not allowed by database
  # should validate_uniqueness_of(:user_category).scoped_to(:score)
end
